| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | List of all members
cv::TrackerFeatureHAAR Class Reference
Tracking API

TrackerFeature based on HAAR features, used by TrackerMIL and many others algorithms. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerFeatureHAAR:

## Classes
struct | Params

## Public Member Functions
| TrackerFeatureHAAR (const TrackerFeatureHAAR::Params &parameters=TrackerFeatureHAAR::Params())
| Constructor. More...
| ~TrackerFeatureHAAR () CV_OVERRIDE
bool | extractSelected (const std::vector< int > selFeatures, const std::vector< Mat > &images, Mat &response)
| Compute the features only for the selected indices in the images collection. More...
CvHaarEvaluator::FeatureHaar & | getFeatureAt (int id)
| Get the feature in position id. More...
void | selection (Mat &response, int npoints) CV_OVERRIDE
| Identify most effective features. More...
bool | swapFeature (int source, int target)
| Swap the feature in position source with the feature in position target. More...
bool | swapFeature (int id, CvHaarEvaluator::FeatureHaar &feature)
| Swap the feature in position id with the feature input. More...
Public Member Functions inherited from cv::TrackerFeature
virtual | ~TrackerFeature ()
void | compute (const std::vector< Mat > &images, Mat &response)
| Compute the features in the images collection. More...
String | getClassName () const
| Get the name of the specific TrackerFeature. More...

## Protected Member Functions
bool | computeImpl (const std::vector< Mat > &images, Mat &response) CV_OVERRIDE

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerFeature
static Ptr< TrackerFeature > | create (const String &trackerFeatureType)
| Create TrackerFeature by tracker feature type. More...
Protected Attributes inherited from cv::TrackerFeature
String | className

## Detailed Description

TrackerFeature based on HAAR features, used by TrackerMIL and many others algorithms.

Note
  HAAR features implementation is copied from apps/traincascade and modified according to MIL

## Constructor & Destructor Documentation

## § TrackerFeatureHAAR()

cv::TrackerFeatureHAAR::TrackerFeatureHAAR | ( | const TrackerFeatureHAAR::Params & | parameters = `TrackerFeatureHAAR::Params()` | ) |

Constructor.

Parameters

  parameters | TrackerFeatureHAAR parameters TrackerFeatureHAAR::Params

## § ~TrackerFeatureHAAR()

cv::TrackerFeatureHAAR::~TrackerFeatureHAAR | ( |  | ) |

## Member Function Documentation

## § computeImpl()

bool cv::TrackerFeatureHAAR::computeImpl | ( | const std::vector< Mat > & | images,
|  | Mat & | response
| ) |  |
| protected virtual

Implements cv::TrackerFeature.

## § extractSelected()

bool cv::TrackerFeatureHAAR::extractSelected | ( | const std::vector< int > | selFeatures,
|  | const std::vector< Mat > & | images,
|  | Mat & | response
| ) |  |

Compute the features only for the selected indices in the images collection.

Parameters

  selFeatures | indices of selected features
  images | The images
  response | Collection of response for the specific TrackerFeature

## § getFeatureAt()

CvHaarEvaluator::FeatureHaar& cv::TrackerFeatureHAAR::getFeatureAt | ( | int | id | ) |

Get the feature in position id.

Parameters

  id | The position

## § selection()

void cv::TrackerFeatureHAAR::selection | ( | Mat & | response,
|  | int | npoints
| ) |  |
| virtual

Identify most effective features.

Parameters

  response | Collection of response for the specific TrackerFeature
  npoints | Max number of features

Note
  This method modifies the response parameter

Implements cv::TrackerFeature.

## § swapFeature() [1/2]

bool cv::TrackerFeatureHAAR::swapFeature | ( | int | source,
|  | int | target
| ) |  |

Swap the feature in position source with the feature in position target.

Parameters

  source | The source position
  target | The target position

## § swapFeature() [2/2]

bool cv::TrackerFeatureHAAR::swapFeature | ( | int | id,
|  | CvHaarEvaluator::FeatureHaar & | feature
| ) |  |

Swap the feature in position id with the feature input.

Parameters

  id | The position
  feature | The feature

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp